> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trypost.it/llms.txt
> Use this file to discover all available pages before exploring further.

# Update signature

> Update a signature's name or content.

## Request

<ParamField path="signature" type="string" required>
  The signature ID.
</ParamField>

<ParamField body="name" type="string" required>
  The new signature name. Maximum 255 characters.
</ParamField>

<ParamField body="content" type="string" required>
  The new signature content.
</ParamField>

## Response

Returns the updated signature. Same shape as one entry in [`GET /signatures`](/api-reference/endpoint/list-signatures).

<RequestExample>
  ```bash theme={null}
  curl -X PUT https://app.trypost.it/api/signatures/e5f6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Tech & AI",
      "content": "#tech #ai #machinelearning #startup"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "e5f6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b",
    "name": "Tech & AI",
    "content": "#tech #ai #machinelearning #startup",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 09:00:00"
  }
  ```
</ResponseExample>
